--- title: "Favorite/Unfavourite a Room" slug: "favoriteunfavourite-a-room" updated: 2026-09-03T14:50:33Z published: 2026-09-03T14:50:33Z canonical: "developer.rocket.chat/favoriteunfavourite-a-room" stale: true --- > ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Favorite/Unfavourite a Room Post/api/v1/rooms.favorite Mark/Unmark a room as favourite. ### Changelog | Version | Description | | --- | --- | | 0.64.0 | Added | Header parametersX-Auth-TokenstringRequired The `authToken` of the authenticated user. ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f X-User-IdstringRequired The `userId` of the authenticated user. ExamplerbAXPnMktTFbNpwtJ Body parametersExample ```json { "roomId": "GENERAL", "favorite": true } ``` object roomIdstring Required The room ID. Alternatively, enter the `roomName` parameter and provide the room's name as the value. You must be a member of the room. favoriteboolean Required A boolean to mark the room as favourite or not. Responses200 OK Success ```json { "success": true } ``` object successboolean 401 Unauthorized Authorization Error ```json { "status": "error", "message": "You must be logged in to do this." } ``` object statusstring messagestring